/**
 * <copyright>
 * </copyright>
 *
 * $Id: ContactValidator.java,v 1.1 2008-04-01 09:35:39 vmahe Exp $
 */
package orgomg.cwm.foundation.businessinformation.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.foundation.businessinformation.Email;
import orgomg.cwm.foundation.businessinformation.Location;
import orgomg.cwm.foundation.businessinformation.ResourceLocator;
import orgomg.cwm.foundation.businessinformation.Telephone;

/**
 * A sample validator interface for {@link orgomg.cwm.foundation.businessinformation.Contact}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ContactValidator {
	boolean validate();

	boolean validateEmail(EList<Email> value);
	boolean validateLocation(EList<Location> value);
	boolean validateUrl(EList<ResourceLocator> value);
	boolean validateTelephone(EList<Telephone> value);
}
